#  Разработка сайта LPON.RU
#  ==  Конфикурационный файл nginx cadpoint.conf

# Описываем апстрим-потоки которые должен подключить Nginx
# Для каждого сайта надо настроить свйо поток, со своим уникальным именем.
# Если будете настраивать несколько python (django) сайтов - измените название upstream

# конфигурируем сервер
server {
    server_name		  1998.cadpoint.ru;		# доменное имя сайта
    # listen 443 ssl http2; # managed by Certbot
    listen 443 ssl; # managed by Certbot
	root /home/web/cadpoint-ru_1998/html;
    location = / { 
        try_files /index.htm =404;
        # try_files /index.htm;
    }
    ssl_certificate /etc/letsencrypt/live/1998.cadpoint.ru/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/1998.cadpoint.ru/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

    charset         koi8-r;              # кодировка по умолчанию
    access_log  /home/web/cadpoint-ru_1998/logs/cadpoint-ru_1998-access.log;    # логи с доступом
    error_log   /home/web/cadpoint-ru_1998/logs/cadpoint-ru_1998-error.log;     # логи с ошибками
    client_max_body_size 100M; # максимальный объем файла для загрузки на сайт (max upload size)
    error_page  404  /404.html;
    error_page  500  /500.html;

    # location /robots.txt	{ root	/home/web/cadpoint-ru_1998/html; }	# Расположение robots.txt
    # location /favicon.ico	{ root	/home/web/cadpoint-ru_1998/html; }	# Расположение favicon.ico
    # location /favicon.gif	{ root	/home/web/cadpoint-ru_1998/html; }	# Расположение favicon
    # location /favicon.png	{ root	/home/web/cadpoint-ru_1998/html; }	# Расположение favicon
    # location /favicon.svg	{ root	/home/web/cadpoint-ru_1998/html; }	# Расположение favicon
    # location /author.txt	{ root	/home/web/cadpoint-ru_1998/html; }	    # Расположение author.txt
    location = /404.html	{
         root	/home/web/cadpoint-ru_1998/html/index.html;
         internal;
    }
    location = /500.html	{
         root	/home/web/cadpoint-ru_1998/html/index.html;
         internal;
    }
    # location ~ \.(html|htm|ico|svg|png|gif|jpg|jpeg)$	{
    #     root  /home/web/cadpoint-ru_1998/public;        # Расположение статичных *.xml, *.html и  *.txt
    # }
}

# переадресация с www на "без" www
server {
    server_name  www.1998.cadpoint.ru;
    return       301 http://1998.cadpoint.ru$request_uri;

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/1998.cadpoint.ru/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/1998.cadpoint.ru/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot
}
server {
    if ($host = 1998.cadpoint.ru) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


    server_name		  1998.cadpoint.ru;
    listen 80;
    return 404; # managed by Certbot


}
server {
    if ($host = www.1998.cadpoint.ru) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


    server_name  www.1998.cadpoint.ru;
    listen 80;
    return 404; # managed by Certbot


}